package ru.vendetti.bitcoin_summarizer

import com.google.gson.annotations.SerializedName

// Обёртка для данных (тут вложенность есть и это API v2, а не v1, поэтому чуть сложнее структура, чем в GlobalResponse.kt)
data class FearAndGreedResponse(
    @SerializedName("name")
    val name: String,
    @SerializedName("data")
    val dataList: List<FearAndGreedData>
)

// Сами данные
data class FearAndGreedData(
    @SerializedName("value")
    val value: String,
    @SerializedName("value_classification")
    val valueClassification: String,
    @SerializedName("timestamp")
    val timestamp: String,
    @SerializedName("time_until_update")
    val timeUntilUpdate: String
)